Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class Encoding

    java.lang.Object
      org.omg.IOP.Encoding

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class Encoding

extends Object
implements IDLEntity

org/omg/IOP/Encoding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, August 11, 2004 5:04:04 AM GMT-08:00

Field Summary
`short` | `format` The encoding format.
`byte` | `major_version` The major version of this Encoding format.
`byte` | `minor_version` The minor version of this Encoding format.

Constructor Summary
`Encoding()`
`Encoding(short _format, byte _major_version, byte _minor_version)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    public short format

  The encoding format.

### major_version

    public byte major_version

  The major version of this Encoding format.

### minor_version

    public byte minor_version

  The minor version of this Encoding format.

Constructor Detail

### Encoding

    public Encoding()

### Encoding

    public Encoding(short _format,
                    byte _major_version,
                    byte _minor_version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.